//*****************************************************************
// Questo libreria si occupa di implementare le funzioni di una 
// ALU all'interno di un una macchina tipo quella di Von Neumann 
//
// Nome del progetto     : alu_unit.h alu_unit.cpp
// Creatore              : Giovanni Ceglia
// Data ultima revisione : 16/05/2001
//
// Librerie  richieste: vmachine.h vmachine.cpp
//*****************************************************************

#include "vmachine.h" // libreria che implementa una macchina 
                      // virtuale.

#if ! defined (ALUUNIT)
#define ALUUNIT

// funzione che gestisce le istruzioni aritmetico logiche.
// questa funzione opera su una struttura astratta che 
// rappresenta una macchina virtuale.

extern void alu_exec(virtual_machine&);

#endif
