//*****************************************************************
// Questo libreria si occupa di implementare le funzioni di una 
// INPUT OUTPUT all'interno di un una macchina tipo quella di 
// Von Neumann 
//
// Nome del progetto     : io_unit.h io_unit.cpp
// Creatore              : Giovanni Ceglia
// Data ultima revisione : 16/05/2001
//
// Librerie  richieste:    iostream.h
//                         vmachine.h vmachine.cpp
//                         tplus.h tplus.cpp
//*****************************************************************
 
#include <iostream.h>
#include "vmachine.h"
#include "tplus.h"

// funzione che gestisce l ' input e l'output pilotando i 
// dispositivi interessati
void io_exec(virtual_machine&);

void io_exec(virtual_machine& vm)
 {
   int i;
   string81 s;
   switch (vm.reg_istruzione) {
      // operazioni di Input Output      
      case INP : {
                   cin>>s;
                   s[strsize(s)+1]=0;
                   i=0;
                   while (s[i]!=0) {
                       vm.virtual_memory[vm.reg_opcode_A+i]=s[i];
                       i++;
                     }
                 } break;
      case WRT : {
                   i=vm.reg_opcode_A;
                   while (vm.virtual_memory[i]!=0) {
                       cout<<char(vm.virtual_memory[i]);
                       i++;
                     }
                 } break;      
      default  : break;
    }
 }

